> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Bill Payment Status

> Fetch the status of a bill purchase



## OpenAPI

````yaml get /bills/{reference}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /bills/{reference}:
    get:
      tags:
        - Bill Payments
      summary: Get a Bill Payment Status
      description: Fetch the status of a bill purchase
      operationId: GetaBillPaymentStatus
      parameters:
        - name: verbose
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            example: 1
        - name: reference
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: CF-FLYAPI-20240324091413750321
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 09:22:41 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '498'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1f2-Nb0Sbx8e6fEHSJHfyb1kPw"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetaBillPaymentStatus'
                  - example:
                      status: success
                      message: Bill status fetch successful
                      data:
                        currency: NGN
                        customer_id: '0025401100'
                        frequency: One Time
                        amount: '1800.00'
                        fee: 100
                        product: DSTV Payment
                        product_name: DSTV Payment
                        commission: 10
                        transaction_date: '2024-03-24T09:14:13.373Z'
                        customer_reference: d7a004b1-a581-4cd9-89ae-a1f093400
                        country: NG
                        flw_ref: '247837898415'
                        tx_ref: CF-FLYAPI-20240324091413750321
                        batch_id: 3408739
                        extra: null
                        product_details: FLY-API-NG-DSTV Payment
              example:
                status: success
                message: Bill status fetch successful
                data:
                  currency: NGN
                  customer_id: '0025401100'
                  frequency: One Time
                  amount: '1800.00'
                  fee: 100
                  product: DSTV Payment
                  product_name: DSTV Payment
                  commission: 10
                  transaction_date: '2024-03-24T09:14:13.373Z'
                  customer_reference: d7a004b1-a581-4cd9-89ae-a1f093400
                  country: NG
                  flw_ref: '247837898415'
                  tx_ref: CF-FLYAPI-20240324091413750321
                  batch_id: 3408739
                  extra: null
                  product_details: FLY-API-NG-DSTV Payment
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 09:23:10 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '64'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"40-6WHHd91T02Px5ixyLI57gg"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetaBillPaymentStatus-Errorresponse1'
                  - example:
                      status: error
                      message: Transaction not found
                      data: null
              example:
                status: error
                message: Transaction not found
                data: null
      deprecated: false
components:
  schemas:
    GetaBillPaymentStatus:
      title: GetaBillPaymentStatus
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data76'
      example:
        status: success
        message: Bill status fetch successful
        data:
          currency: NGN
          customer_id: '0025401100'
          frequency: One Time
          amount: '1800.00'
          fee: 100
          product: DSTV Payment
          product_name: DSTV Payment
          commission: 10
          transaction_date: '2024-03-24T09:14:13.373Z'
          customer_reference: d7a004b1-a581-4cd9-89ae-a1f093400
          country: NG
          flw_ref: '247837898415'
          tx_ref: CF-FLYAPI-20240324091413750321
          batch_id: 3408739
          extra: null
          product_details: FLY-API-NG-DSTV Payment
    GetaBillPaymentStatus-Errorresponse1:
      title: GetaBillPaymentStatus-Errorresponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: Transaction not found
        data: null
    Data76:
      title: Data76
      required:
        - currency
        - customer_id
        - frequency
        - amount
        - fee
        - product
        - product_name
        - commission
        - transaction_date
        - customer_reference
        - country
        - flw_ref
        - tx_ref
        - batch_id
        - extra
        - product_details
      type: object
      properties:
        currency:
          type: string
        customer_id:
          type: string
        frequency:
          type: string
        amount:
          type: string
        fee:
          type: integer
          format: int32
        product:
          type: string
        product_name:
          type: string
        commission:
          type: integer
          format: int32
        transaction_date:
          type: string
        customer_reference:
          type: string
        country:
          type: string
        flw_ref:
          type: string
        tx_ref:
          type: string
        batch_id:
          type: integer
          format: int32
        extra:
          type: string
          nullable: true
        product_details:
          type: string
      example:
        currency: NGN
        customer_id: '0025401100'
        frequency: One Time
        amount: '1800.00'
        fee: 100
        product: DSTV Payment
        product_name: DSTV Payment
        commission: 10
        transaction_date: '2024-03-24T09:14:13.373Z'
        customer_reference: d7a004b1-a581-4cd9-89ae-a1f093400
        country: NG
        flw_ref: '247837898415'
        tx_ref: CF-FLYAPI-20240324091413750321
        batch_id: 3408739
        extra: null
        product_details: FLY-API-NG-DSTV Payment
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````